VARKON Version 1.15 1997-12-29

> ## cur_iso - Geometric procedure

> Creates a curve
> Description
> Creates a curve with a constant parameter value on a surface. Such a curve is called an iso-parametric curve.
> Syntax
> cur_iso(id, ref, uv_type, iso_v, s_v, e_v:attributes);

> REF | id;
> REF | ref;
> STRING | uv_type;
> FLOAT | iso_v;
> FLOAT | s_v;
> FLOAT | e_v;

> Principal parameters

> id | - Local identity
> ref | - Surface
> uv_type | - Type of iso-parameter curve (U or V)
> iso_v | - Parameter value for the iso-parameter
> s_v | - Curve start parameter value
> s_e | - Curve end parameter value

> Optional parameters

> None |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> CFONT | - Solid (0), dashed (1), center line (2)
> CDASHL | - Dash length
> WIDTH | - Linewidth

> Example
> cur_iso(#3, #2, "U", 4.1, 1.1, 6.7);
> Creates a curve #3, which has the constant parameter value U= 4.1 on surface #2. The curve starts in V= 1.1 and ends in point V= 6.7.
> Comments
> It is not possible to create an iso-parametric curve with steps between curve segments. All curves in Varkon must be continuous in position.

VARKON Homepage | Index